Domain Infos (dns, whois, server, ssl)
curl --request GET \
--url https://www.fetchserp.com/api/v1/domain_infos \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fetchserp.com/api/v1/domain_infos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fetchserp.com/api/v1/domain_infos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"domain_info": {
"dns": {
"a": [
"<string>"
],
"mx": [
"<string>"
],
"txt": [
"<string>"
],
"cname": [
"<string>"
],
"ns": [
"<string>"
]
},
"whois": {
"domain": "<string>",
"registrar": "<string>",
"created_on": "<string>",
"expires_on": "<string>",
"nameservers": [
"<string>"
],
"contact_infos": "<unknown>"
},
"server": {
"ip": "<string>",
"open_ports": [
123
],
"https_supported": true,
"server": "<string>",
"response_headers": "<unknown>"
},
"ssl": {
"subject": "<string>",
"issuer": "<string>",
"valid_from": "<string>",
"valid_until": "<string>",
"serial_number": "<string>",
"version": 123,
"signature_algorithm": "<string>",
"public_key_algorithm": "<string>"
},
"technology_stack": {
"backend_frameworks": [
"<string>"
],
"cms": "<string>",
"frontend_frameworks": [
"<string>"
],
"analytics_cdns": [
"<string>"
],
"js_modules": [
"<string>"
],
"meta_info": {
"viewport": "<string>"
}
}
}
}
}{
"error": "<string>"
}{
"success": true,
"message": "<string>"
}{
"error": "<string>"
}{
"status": 123,
"error": "<string>"
}Api
Domain Infos (dns, whois, server, ssl)
GET
/
api
/
v1
/
domain_infos
Domain Infos (dns, whois, server, ssl)
⌘I